Subject: [alpine-devel] openrc crashes

From: Steffen Nurpmeso <[email-masked]>
Date: Wed, 28 Nov 2018 23:57:34 +0100

Hello!

I see crashes with openrc.  I saw them with the old [edge] i had
(i did not update for two week because of download limit excess),
and i see them again now:

  #?0[root@essex steffen]# openrc
   * openrc: failed to create stopping dir `/run/openrc/rc.stopping': File exists

This directory will not be cleaned up.  I can manually remove it,
but we get there with later crashes, again.

  #?1[root@essex steffen]# rc-status -r
  wlan
  #?0[root@essex steffen]# rc-status -a
  Runlevel: nonetwork
  Runlevel: shutdown
   killprocs [  stopped  ]
   savecache [  stopped  ]
   mount-ro  [  stopped  ]
  Runlevel: wlan-up
  Segmentation fault

This as below

  #?139[root@essex steffen]# rc-status -r
  wlan
  #?0[root@essex steffen]#

This i find in dmesg:

  [80024.596434] traps: openrc[16381] general protection ip:7fe20d072650 sp:7ffc6865bd28 error:0 in ld-musl-x86_64.so.1[7fe20d06b000+46000]
  [81824.602270] traps: openrc[16966] general protection ip:7f39a1e65650 sp:7ffc63edb598 error:0 in ld-musl-x86_64.so.1[7f39a1e5e000+46000]
  [82724.611610] traps: openrc[17268] general protection ip:7fe069116650 sp:7fff3b183bf8 error:0 in ld-musl-x86_64.so.1[7fe06910f000+46000]
  [82768.761448] traps: rc-status[17295] general protection ip:7f63aea1e650 sp:7ffc3d9a6e98 error:0 in ld-musl-x86_64.so.1[7f63aea17000+46000]

The last reflects the on above.
The problem is that at one point openrc refuses to work: it
becomes impossible to change the runlevel, for example, it will
simply crash earlier, and you are stuck, and only a reboot helps
out.  (I did that once only until now, though.)
E.g.:

  #?0[root@essex steffen]# openrc wlan-up
  Segmentation fault
...
  [83347.269208] traps: openrc[17596] general protection ip:7f3dcc803650 sp:7ffd54106698 error:0 in ld-musl-x86_64.so.1[7f3dcc7fc000+46000]

Any ideas on anything regarding this?

--steffen
|
|Der Kragenbaer,                The moon bear,
|der holt sich munter           he cheerfully and one by one
|einen nach dem anderen runter  wa.ks himself off
|(By Robert Gernhardt)

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---